Skip to main content
PUT
/
automations
/
{id}
Update Automation
curl --request PUT \
  --url https://api.example.com/automations/{id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "trigger": {
    "type": "event",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "match": {},
    "match_related": {},
    "after": [
      "<string>"
    ],
    "expect": [
      "<string>"
    ],
    "for_each": [
      "<string>"
    ],
    "threshold": 1,
    "within": 0
  },
  "actions": [
    {
      "type": "do-nothing"
    }
  ],
  "description": "",
  "enabled": true,
  "tags": [
    "<string>"
  ],
  "actions_on_trigger": [
    {
      "type": "do-nothing"
    }
  ],
  "actions_on_resolve": [
    {
      "type": "do-nothing"
    }
  ]
}
'
import requests

url = "https://api.example.com/automations/{id}"

payload = {
"name": "<string>",
"trigger": {
"type": "event",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"match": {},
"match_related": {},
"after": ["<string>"],
"expect": ["<string>"],
"for_each": ["<string>"],
"threshold": 1,
"within": 0
},
"actions": [{ "type": "do-nothing" }],
"description": "",
"enabled": True,
"tags": ["<string>"],
"actions_on_trigger": [{ "type": "do-nothing" }],
"actions_on_resolve": [{ "type": "do-nothing" }]
}
headers = {"Content-Type": "application/json"}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
trigger: {
type: 'event',
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
match: {},
match_related: {},
after: ['<string>'],
expect: ['<string>'],
for_each: ['<string>'],
threshold: 1,
within: 0
},
actions: [{type: 'do-nothing'}],
description: '',
enabled: true,
tags: ['<string>'],
actions_on_trigger: [{type: 'do-nothing'}],
actions_on_resolve: [{type: 'do-nothing'}]
})
};

fetch('https://api.example.com/automations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Headers

x-prefect-api-version
string

Path Parameters

id
string<uuid>
required

Body

application/json
name
string
required

The name of this automation

trigger
EventTrigger · object
required

A trigger that fires based on the presence or absence of events within a given period of time.

actions
(DoNothing · object | RunDeployment · object | PauseDeployment · object | ResumeDeployment · object | CancelFlowRun · object | DeleteFlowRun · object | ChangeFlowRunState · object | PauseWorkQueue · object | ResumeWorkQueue · object | SendNotification · object | CallWebhook · object | PauseAutomation · object | ResumeAutomation · object | SuspendFlowRun · object | ResumeFlowRun · object | PauseWorkPool · object | ResumeWorkPool · object)[]
required

The actions to perform when this Automation triggers

Do nothing when an Automation is triggered

description
string
default:""

A longer description of this automation

enabled
boolean
default:true

Whether this automation will be evaluated

tags
string[]

A list of tags associated with this automation

actions_on_trigger
(DoNothing · object | RunDeployment · object | PauseDeployment · object | ResumeDeployment · object | CancelFlowRun · object | DeleteFlowRun · object | ChangeFlowRunState · object | PauseWorkQueue · object | ResumeWorkQueue · object | SendNotification · object | CallWebhook · object | PauseAutomation · object | ResumeAutomation · object | SuspendFlowRun · object | ResumeFlowRun · object | PauseWorkPool · object | ResumeWorkPool · object)[]

The actions to perform when an Automation goes into a triggered state

Do nothing when an Automation is triggered

actions_on_resolve
(DoNothing · object | RunDeployment · object | PauseDeployment · object | ResumeDeployment · object | CancelFlowRun · object | DeleteFlowRun · object | ChangeFlowRunState · object | PauseWorkQueue · object | ResumeWorkQueue · object | SendNotification · object | CallWebhook · object | PauseAutomation · object | ResumeAutomation · object | SuspendFlowRun · object | ResumeFlowRun · object | PauseWorkPool · object | ResumeWorkPool · object)[]

The actions to perform when an Automation goes into a resolving state

Do nothing when an Automation is triggered

Response

Successful Response